searchData={"items":[{"type":"module","title":"VEML7700","doc":"Use [Vishay ambient light sensor VEML7700](https://www.vishay.com/docs/84286/veml7700.pdf) in Elixir.","ref":"VEML7700.html"},{"type":"function","title":"VEML7700.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"VEML7700.html#child_spec/1"},{"type":"function","title":"VEML7700.get_als_config/1","doc":"Get the ambient light sensor settings.","ref":"VEML7700.html#get_als_config/1"},{"type":"function","title":"VEML7700.get_high_threshold/1","doc":"Get the high threshold.","ref":"VEML7700.html#get_high_threshold/1"},{"type":"function","title":"VEML7700.get_interrupt_status/1","doc":"Get the interrupt status.","ref":"VEML7700.html#get_interrupt_status/1"},{"type":"function","title":"VEML7700.get_low_threshold/1","doc":"Get the low threshold.","ref":"VEML7700.html#get_low_threshold/1"},{"type":"function","title":"VEML7700.get_power_saving/1","doc":"Get the power saving mode.","ref":"VEML7700.html#get_power_saving/1"},{"type":"function","title":"VEML7700.measure/1","doc":"Measure the current light.\nAn error is returned if the I2C transactions fail.","ref":"VEML7700.html#measure/1"},{"type":"function","title":"VEML7700.set_als_config/2","doc":"Set the ambient light sensor settings.","ref":"VEML7700.html#set_als_config/2"},{"type":"function","title":"VEML7700.set_high_threshold/2","doc":"Set the high threshold.","ref":"VEML7700.html#set_high_threshold/2"},{"type":"function","title":"VEML7700.set_low_threshold/2","doc":"Set the low threshold.","ref":"VEML7700.html#set_low_threshold/2"},{"type":"function","title":"VEML7700.set_power_saving/3","doc":"Set the power saving mode.","ref":"VEML7700.html#set_power_saving/3"},{"type":"function","title":"VEML7700.start_link/1","doc":"Start a new GenServer for interacting with a VEML7700.","ref":"VEML7700.html#start_link/1"},{"type":"type","title":"VEML7700.als_gain/0","doc":"Ambient light gain setting.\nSee https://learn.sparkfun.com/tutorials/qwiic-ambient-light-sensor-veml6030-hookup-guide","ref":"VEML7700.html#t:als_gain/0"},{"type":"type","title":"VEML7700.als_integration_time/0","doc":"Ambient light integration time setting. Longer time has higher sensitivity.\nSee https://learn.sparkfun.com/tutorials/qwiic-ambient-light-sensor-veml6030-hookup-guide","ref":"VEML7700.html#t:als_integration_time/0"},{"type":"type","title":"VEML7700.option/0","doc":"VEML7700 GenServer start_link options\n* `:name` - a name for the GenServer\n* `:bus_name` - which I2C bus to use (e.g., `\"i2c-1\"`)\n* `:bus_address` - the address of the VEML7700 (defaults to `0x10`)\n* `:retries` - the number of retries before failing (defaults to no retries)\n* `:als_gain` - ambient light gain setting (defaults to `:als_gain_1_4`)\n* `:als_integration_time` - ambient light integration time setting (defaults to `:als_100ms`)","ref":"VEML7700.html#t:option/0"},{"type":"module","title":"VEML7700.Measurement","doc":"One sensor measurement report.","ref":"VEML7700.Measurement.html"},{"type":"function","title":"VEML7700.Measurement.new/2","doc":"","ref":"VEML7700.Measurement.html#new/2"},{"type":"type","title":"VEML7700.Measurement.t/0","doc":"","ref":"VEML7700.Measurement.html#t:t/0"},{"type":"extras","title":"VEML7700","doc":"# VEML7700\n\n[![Hex version](https://img.shields.io/hexpm/v/veml7700.svg 'Hex version')](https://hex.pm/packages/veml7700)\n[![CI](https://github.com/elixir-sensors/veml7700/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/elixir-sensors/veml7700/actions/workflows/ci.yml)\n\n<!-- MODULEDOC -->\n\nUse [Vishay ambient light sensor VEML7700](https://www.vishay.com/docs/84286/veml7700.pdf) in Elixir.\n\n<!-- MODULEDOC -->\n\n![](https://www.vishay.com/images/product-images/pt-large/84286-pt-large.jpg)\n\n![](https://cdn.sparkfun.com//assets/parts/1/8/5/5/5/18981-Ambient_Light_Sensor_-_VEML7700__Qwiic_-01.jpg)","ref":"readme.html"},{"type":"extras","title":"Usage - VEML7700","doc":"Here's an example use. VEML7700 sensors are at address `0x10`; VEML6030 typically at `0x48`.\n\n[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Felixir-sensors%2Fveml7700%2Fblob%2Fmain%2Fnotebooks%2Fbasic_usage.livemd)\n\n```elixir\niex> {:ok, veml} = VEML7700.start_link(bus_name: \"i2c-1\", bus_address: 0x10)\n{:ok, #PID<0.2190.0>}\n\niex> VEML7700.get_als_config(veml)\n{:ok,\n {[:als_gain_1_4,\n   :als_100ms,\n   :als_persistence_1,\n   :als_interrupt_disable,\n   :als_shutdown], 0.2304}}\n\niex> VEML7700.set_als_config(veml, [:als_gain_1, :als_200ms, :als_power_on])\n{:ok,\n {[:als_gain_1,\n   :als_200ms,\n   :als_persistence_1,\n   :als_interrupt_disable,\n   :als_power_on], 0.0288}}\n\niex> VEML7700.measure(veml)\n{:ok,\n  %VEML7700.Measurement{\n    light_lux: 9.9072,\n    timestamp_ms: 284622415448}}}}\n```\n\nFor details, see [API reference](https://hexdocs.pm/veml7700/api-reference.html).","ref":"readme.html#usage"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.3 (2024-01-17) - Changelog","doc":"#","ref":"changelog.html#v0-1-3-2024-01-17"},{"type":"extras","title":"Changed - Changelog","doc":"- change ownership to elixir-sensors\n- add a Livebook notebook for basic usage","ref":"changelog.html#changed"},{"type":"extras","title":"v0.1.2 (2023-05-13) - Changelog","doc":"#","ref":"changelog.html#v0-1-2-2023-05-13"},{"type":"extras","title":"Fixed - Changelog","doc":"- `timestamp_ms` time unit\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- use `circuits_i2c` v2 release candidate in dev and test environment;\n  optiontally in prod","ref":"changelog.html#changed"},{"type":"extras","title":"v0.1.1 (2023-05-09) - Changelog","doc":"#","ref":"changelog.html#v0-1-1-2023-05-09"},{"type":"extras","title":"Added - Changelog","doc":"- support for features such as:\n  - read/write power saving mode\n  - read/write low threshold\n  - read/write high threshold\n  - read interrupt status","ref":"changelog.html#added"},{"type":"extras","title":"v0.1.0 (2023-05-07) - Changelog","doc":"- First release","ref":"changelog.html#v0-1-0-2023-05-07"}],"content_type":"text/markdown"}